PETSc version 3.15.5
Fix/Edit manual page

# DMPlexComputeCellGeometryFVM

Compute the volume for a given cell

### Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexComputeCellGeometryFVM(DM dm, PetscInt cell, PetscReal *vol, PetscReal centroid[], PetscReal normal[])

Collective on dm

### Input Arguments

| dm | - the DM
| cell | - the cell

### Output Arguments

| volume | - the cell volume
| centroid | - the cell centroid
| normal | - the cell normal, if appropriate

### Fortran Notes

Since it returns arrays, this routine is only available in Fortran 90, and you must include petsc.h90 in your code.

### See Also

DMGetCoordinateSection(), DMGetCoordinates()

### Level

advanced

### Location

src/dm/impls/plex/plexgeometry.c

### Examples

src/dm/impls/plex/tutorials/ex3f90.F90.html
src/ts/tutorials/ex52.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages